export default {
  entity: {
    // type : 1,2,3,4   or  type : issue,issues,crition,critions, ...
    list: "{{type}}/list",  
    blist: "{{index_key}}/{{type}}/list",  
    listSpecial: "{{type}}/list/special/{{specialtype}}",
    relation: "list/relation/{{type}}/{{id}}",
    add: "add",
    update: "edit/entity",
    get: "get",   // خطا وجود ندارد ولی استفاده شده است، نیاز به بررسی دقیق
    delete_jahat: "delete/{{entity_id}}",
    delete: "public/{{index_key}}/delete/{{entity_id}}",
    upload: "uploadfile",
    reports: "jahat",
    qanonList:'/majles/list/@index_key/@parent_key/@parent_id/@from/@countInPage',
    qanonPrevCount:'count/@index_key/@parent_id/@order',
    info : '/majles/data/info',
    draftList : '{{appname}}/draft/{{index_key}}/{{sortKey}}/{{offset}}/{{limit}}/{{filter}}',
    draftSave : '{{appname}}/draft/{{index_key}}/saveto/{{to_index_key}}/{{entity_id}}',
    draftUnlock : '{{appname}}/draft/{{index_key}}/unlock/{{to_index_key}}/{{entity_id}}',
    textVersion : 'monir/steps/{{ref_key}}/{{ref_id}}'
    // getCrition:"crition/bysubjectid/list/0/10/{{subjectId}}",
  },
  property: {
    //  edit/@id/@property/id/@prop_id 
    //  edit/@id/@property/index/@index
    edit: "edit",
    edit_index: "edit",
  },
  list: {
    list: "list/list",
    add: "list/add",
    edit: "list/edit",
    delete: "list/delete",
  },
  keywords: {
    // complation: "keywords/complation",
    all: "keywords/all",
  },
  tags: {
    list: "tags/list",
    add: "tags/add",
  },
  search: {
    normal: "search/", //search/0/10/q=آب'
  },
  subject: {
    add: "subject/add",
    delete: "subject/delete",
    order: "subject/order",
  },
  messages: {
    list: "message/get/section/comments",
    sectionLastComment: "message/get/section/last-comment",
    setparent: "group/ed/parent", //refrence_id : مال پاسخ      prefrence_id : مال مساله
    // list: "message/get/group", //برای گرفتن فهرست آخرین پیام ها
    update: "message/get", //بروز رسانی
    create: "message/set/comment",
    group: "group/ed/set", //ایجاد گروه
    delete: "message/delete",
  },
  // themes indeed are issues sections.
  entityFields: {
    list: "entity/fields/items",
  },
  crition: {
    add:"jahat/edit/{{issue_id}}/crition",
    delete:"jahat/delete/{{issue_id}}/crition/id/{{crition_id}}",

  },
  public:{
    next : "/majles/next/{{index_key}}/{{parent_id}}/{{order}}/{{step}}",
    list:"/public/get/list/{{index_key}}/{{list_key}}/{{offset}}/{{limit}}/{{entity_id}}",
    get: "public/get/byid/{{index_key}}/{{entity_id}}",
    addEntity: "public/{{index_key}}/add",
    updateEntity: "public/{{index_key}}/update/{{id}}",

    updateProperty_byRelated: "{{appname}}/byRelated/{{index_key}}/{{sub_key}}/update/{{id}}",

    updateProperty: "public/{{index_key}}/edit/{{entity_id}}/{{property}}",
    updateProperty_byindex: "public/{{index_key}}/edit/{{entity_id}}/{{property}}/index/{{index}}",
    updateProperty_byid: "public/{{index_key}}/edit/{{entity_id}}/{{property}}/id/{{prop_id}}",
    updateProperty_full: "public/{{index_key}}/edit/{{entity_id}}/{{property}}/index/full",
    deleteProperty_byindex: "public/{{index_key}}/delete/{{entity_id}}/{{property}}/index/{{index}}",
    deleteProperty_byid: "public/{{index_key}}/delete/{{entity_id}}/{{property}}/id/{{prop_id}}",
    deleteProperty: "public/{{index_key}}/delete/{{entity_id}}/{{property}}",
    upload : "public/{{index_key}}/uploadfile",
    getRef_id: "public/get/byfiled/{{index_key}}/{{filed}}/{{filed_id}}",
    bysubject: "public/bysubjectid/{{index_key}}/{{from}}/{{countInPage}}/{{subject_id}}",
    qmodel: "navigate/report/qmodel/{{offset}}/{{limit}}/{{key_filter}}/{{filter}}",
    get_byids: "public/get/byids/@index_key"
  },
  chart:{
    timeline: '{{appname}}/data/{{index_key}}/timeline/{{filter}}'
  },

};
